package org.micord.models;

import lombok.Setter;

import jakarta.xml.bind.annotation.XmlElement;

/**
 * @author Maksim Tereshin
 */
@Setter
public class AqlConnectionParams {

	private String host;
	private int port;
	private String username;
	private String password;
	private String database;
	private String collection;

	@XmlElement(name = "Host")
	public String getHost() {
		return host;
	}

	@XmlElement(name = "Port")
	public int getPort() {
		return port;
	}

	@XmlElement(name = "Username")
	public String getUsername() {
		return username;
	}

	@XmlElement(name = "Password")
	public String getPassword() {
		return password;
	}

	@XmlElement(name = "Database")
	public String getDatabase() {
		return database;
	}

	@XmlElement(name = "Collection")
	public String getCollection() {
		return collection;
	}

}
